#ifndef	__AGPIB_H
#define	__AGPIB_H
// ----------------------------------------------------------------------------
//	GPIB COMMON
//	file : AGPIB.H
//
//	Ver1.00
//
//	[DESCRIPTION]
//	foha bꋤʃwb_[t@C
//
//	Copyright (C) 1998 ADTEK SYSTEM SCIENCE Co.,Ltd.
// ----------------------------------------------------------------------------

/* }`CbZ[W(GPIBR}h) */
#define	UNL			0x003f		/* UNListen		*/
#define	UNT			0x005F		/* UNTalk		*/
#define	LA_0			0x0020		/* Listener Addr	*/
#define	TA_0			0x0040		/* Talker Addr		*/
#define	GTL			0x0001		/* Go To Local		*/
#define	SDC			0x0004		/* Select Device Clear	*/
#define	GET			0x0008		/* Group Execute Trigger*/
#define	LLO			0x0011		/* Local Lock Out	*/
#define	DCL			0x0014		/* Device Clear		*/
#define	SPE			0x0018		/* Serial Poll Enable	*/
#define	SPD			0x0019		/* Serial Poll Disable	*/
#define	PPC			0x0005		/* Parallel Poll Config	*/
#define	PPE			0x0060		/* Parallel Poll Enable	*/
#define	PPD			0x0070		/* Parallel Poll Disable*/
#define	PPU			0x0015		/* Parallel Poll Unconfig*/
#define	TCT			0x0009		/* Take Control (XXX)	*/


/* GPIBXe[^X */
#define	STS_IFC			0x0001		/* IFC			*/
#define	STS_DCAS		0x0002		/* DeviceClear		*/
#define	STS_UNC			0x0004		/* Ppoll,TCT etc	*/
#define	STS_ERR			0x0008		/* Error		*/
#define	STS_GET			0x0010		/* GET			*/
#define	STS_SPAS		0x0020		/* Spoll		*/
#define	STS_REM			0x0100		/* Remote		*/
#define	STS_LLO			0x0200		/* LLO			*/
#define	STS_TLK			0x0400		/* Talker		*/
#define	STS_LSN			0x0800		/* Listener		*/
#define	STS_ATN			0x1000		/* ATN			*/
#define	STS_SRQ			0x2000		/* SRQ			*/
#define	STS_REN			0x4000		/* REN			*/

/* GPIB֘Ap[^ */
#define	ADDR_MIN		0		/* ŏGPIBڽ	*/
#define	ADDR_MAX		30		/* ő			*/
#define	ADDR_NULL		-1		/* null address		*/

#define	TIMEOUT_DEFAULT		2000		/* ѱ̫		*/
#define	TIMEOUT_MAX		60000		/* ѱčől 	*/

/* GPIBӰ */
#define	MODE_SYSCON		1		/* Ѻ۰Ӱ	*/
#define	MODE_CON		2		/* ۰Ӱ(gps)	*/
#define	MODE_TLKLSN		0		/* İؽӰ		*/

/* Ӱ */
#define	DELIM_CRLF		0		/* CR + LF		*/
#define	DELIM_CR		1		/* CR			*/
#define	DELIM_LF		2		/* LF			*/
#define	DELIM_EOI		3		/* EOI			*/
#define	DELIM_NO		4		/* NOTHING		*/

/* GPIB G[R[h */
#define	GPERR_INIT		-1		/* ܂͎s	*/
#define	GPERR_DEV		-2		/* ޲-		*/
#define	GPERR_DRV_VER		-3		/* ײ-ޮݕs	*/
#define	GPERR_MODE		-10		/* Ӱ޴װ		*/
#define	GPERR_PARAMETER		-11		/* Ұs		*/
#define	GPERR_TIMEOUT		-12		/* ѱ		*/
#define	GPERR_NOLISTENER	-13		/* ؽłȂ		*/
#define	GPERR_CMD		-20		/* ΉގM	*/
#define	GPERR_ADSTS		-21		/* ڽĂȂ	*/

/*** Cu݊p ***/
#define	MODE_SYSCON		1		/* Ѻ۰Ӱ	*/
#define	MODE_MASTER		2		/* ϽӰ(gps)	*/
#define	MODE_SLAVE		0		/* ڰӰ		*/
#define	GPERR_IRQ		-4		/* IRQԍs		*/
#define	GPERR_DMACH		-5		/* DMA ٕs		*/

#endif
